unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  dsCalendar, ComCtrls, StdCtrls, Buttons;

type
  TForm1 = class(TForm)
    PageControl1: TPageControl;
    TabSheet1: TTabSheet;
    TabSheet2: TTabSheet;
    TabSheet3: TTabSheet;
    dsPlanner1: TdsPlanner;
    Label3: TLabel;
    dsMonths1: TdsMonths;
    dsCalendar1: TdsCalendar;
    Label1: TLabel;
    Label2: TLabel;
    CheckBox2: TCheckBox;
    CheckBox1: TCheckBox;
    CheckBox4: TCheckBox;
    CheckBox3: TCheckBox;
    CheckBox5: TCheckBox;
    CheckBox6: TCheckBox;
    ComboBox1: TComboBox;
    Label4: TLabel;
    ComboBox2: TComboBox;
    Label6: TLabel;
    Label5: TLabel;
    RadioButton1: TRadioButton;
    RadioButton2: TRadioButton;
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    ColorDialog1: TColorDialog;
    FontDialog1: TFontDialog;
    Button4: TButton;
    Button5: TButton;
    procedure CheckBox1Click(Sender: TObject);
    procedure CheckBox2Click(Sender: TObject);
    procedure CheckBox3Click(Sender: TObject);
    procedure CheckBox4Click(Sender: TObject);
    procedure CheckBox5Click(Sender: TObject);
    procedure dsCalendar1DateChange(Sender: TObject; FromDate,
      ToDate: TDateTime);
    procedure dsCalendar1BlockSelect(Sender: TObject);
    procedure dsCalendar1DateSelect(Sender: TObject);
    procedure dsMonths1SelectMonth(Sender: TObject);
    procedure CheckBox6Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure ComboBox1Change(Sender: TObject);
    procedure ComboBox1DrawItem(Control: TWinControl; Index: Integer;
      Rect: TRect; State: TOwnerDrawState);
    procedure ComboBox2Change(Sender: TObject);
    procedure RadioButton1Click(Sender: TObject);
    procedure RadioButton2Click(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
    procedure Button5Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.CheckBox1Click(Sender: TObject);
begin
  dsCalendar1.ShowToday := CheckBox1.Checked;
end;

procedure TForm1.CheckBox2Click(Sender: TObject);
begin
  dsCalendar1.ShowTitle := Checkbox2.Checked;
end;

procedure TForm1.CheckBox3Click(Sender: TObject);
begin
  dsCalendar1.ShowWeekNumbers := Checkbox3.Checked;
end;

procedure TForm1.CheckBox4Click(Sender: TObject);
begin
  dsCalendar1.ShowTodayCircle := Checkbox4.Checked;
end;

procedure TForm1.CheckBox5Click(Sender: TObject);
begin
  dsCalendar1.ShowYear := Checkbox5.Checked;
end;

procedure TForm1.dsCalendar1DateChange(Sender: TObject; FromDate,
  ToDate: TDateTime);
begin
  Label2.Caption := 'Change from ' + DateToStr(FromDate) + ' to ' + DateToStr(ToDate);
end;

procedure TForm1.dsCalendar1BlockSelect(Sender: TObject);
begin
  Label1.Caption := 'From to: ' + DateToStr(dsCalendar1.StartDate) + ' - ' + DateToStr(dsCalendar1.EndDate);
end;

procedure TForm1.dsCalendar1DateSelect(Sender: TObject);
begin
  Label1.Caption := 'Selected date: ' + DateToStr(dsCalendar1.Date);
end;

procedure TForm1.dsMonths1SelectMonth(Sender: TObject);
begin
  Label3.Caption := 'Selected month: ' + IntToStr(dsMonths1.Month);
end;

procedure TForm1.CheckBox6Click(Sender: TObject);
begin
  if CheckBox6.Checked then
    dsCalendar1.BorderStyle := bsSingle
  else
    dsCalendar1.BorderStyle := bsNone;
end;

procedure TForm1.FormCreate(Sender: TObject);
var
  i: Integer;
begin
  for i := 0 to dsPlanner1.Categories.Count - 1 do
    ComboBox1.Items.Add(dsPlanner1.Categories[i].Name);

  for i := 1 to 12 do
    ComboBox2.Items.Add(LongMonthNames[i]);

  ComboBox2.ItemIndex := dsPlanner1.Month - 1;
end;

procedure TForm1.ComboBox1Change(Sender: TObject);
begin
  dsPlanner1.ActiveCategorie := ComboBox1.ItemIndex;
end;

procedure TForm1.ComboBox1DrawItem(Control: TWinControl; Index: Integer;
  Rect: TRect; State: TOwnerDrawState);
begin
  ComboBox1.Canvas.Brush.Color := dsPlanner1.Categories[Index].Color;
  ComboBox1.Canvas.Rectangle(Rect.Left + 2, Rect.Top + 2, Rect.Left + 22, Rect.Top + 14);
  ComboBox1.Canvas.Brush.Style := bsClear;
  ComboBox1.Canvas.Font.Color := clBlack;
  ComboBox1.Canvas.TextOut(Rect.Left + 24, Rect.Top + 1, ComboBox1.Items[Index]);
end;

procedure TForm1.ComboBox2Change(Sender: TObject);
begin
  dsPlanner1.Month := ComboBox2.ItemIndex + 1;
end;

procedure TForm1.RadioButton1Click(Sender: TObject);
begin
  dsCalendar1.SelectType := stDateSelect;
end;

procedure TForm1.RadioButton2Click(Sender: TObject);
begin
  dsCalendar1.SelectType := stBlockSelect;
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
  ColorDialog1.Color := dsMonths1.Colors.BkColor;
  if ColorDialog1.Execute then
    dsMonths1.Colors.BkColor := ColorDialog1.Color;
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  ColorDialog1.Color := dsMonths1.Colors.CircleColor;
  if ColorDialog1.Execute then
    dsMonths1.Colors.CircleColor := ColorDialog1.Color;
end;

procedure TForm1.Button3Click(Sender: TObject);
begin
  ColorDialog1.Color := dsMonths1.Colors.TitleColor;
  if ColorDialog1.Execute then
    dsMonths1.Colors.TitleColor := ColorDialog1.Color;
end;

procedure TForm1.Button4Click(Sender: TObject);
begin
  FontDialog1.Font := dsMonths1.TextFont;
  if FontDialog1.Execute then
    dsMonths1.TextFont := FontDialog1.Font;
end;

procedure TForm1.Button5Click(Sender: TObject);
begin
  FontDialog1.Font := dsMonths1.TitleFont;
  if FontDialog1.Execute then
    dsMonths1.TitleFont := FontDialog1.Font;
end;

end.
